Bug 14607 - Make Baker & Taylor cover images accessible by UPC as well as ISBN
Summary: Make Baker & Taylor cover images accessible by UPC as well as ISBN
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jesse Weaver
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-27 21:01 UTC by Jesse Weaver
Modified: 2016-06-21 21:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14607: Baker & Taylor cover images should be accessible by UPC as well as ISBN (15.02 KB, patch)
2015-08-05 22:21 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14607: Baker & Taylor cover images should be accessible by UPC as well as ISBN (17.14 KB, patch)
2015-08-18 18:09 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14607: (QA followup) Fix typo in shelfbrowser.inc (1.35 KB, patch)
2015-09-02 23:03 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14607: (QA followup) Fix one missing occurence, incorrect calls to GetNormalizedUPC (4.84 KB, patch)
2015-09-14 22:22 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14607: (QA followup) Fix typo in shelfbrowser.inc (1.41 KB, patch)
2015-10-01 16:01 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14607: (QA followup) Fix one missing occurence, incorrect calls to GetNormalizedUPC (4.91 KB, patch)
2015-10-01 16:02 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 14607: Baker & Taylor cover images should be accessible by UPC as well as ISBN (17.21 KB, patch)
2015-10-06 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14607: (QA followup) Fix typo in shelfbrowser.inc (1.48 KB, patch)
2015-10-06 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14607: (QA followup) Fix one missing occurence, incorrect calls to GetNormalizedUPC (4.98 KB, patch)
2015-10-06 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2015-07-27 21:01:54 UTC

    
Comment 1 Jesse Weaver 2015-08-05 22:21:23 UTC Comment hidden (obsolete)
Comment 2 Jesse Weaver 2015-08-18 18:09:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-09-01 10:34:31 UTC
Comment on attachment 41633 [details] [review]
Bug 14607: Baker & Taylor cover images should be accessible by UPC as well as ISBN

Review of attachment 41633 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/opac-tmpl/bootstrap/en/includes/shelfbrowser.inc
@@ +58,4 @@
>                                    <div title="[% item.biblionumber |url %]" class="[% coce_id %]" id="coce-thumbnail-preview-[% coce_id %]"></div>
>                                  [% END %]
>                                  [% IF ( BakerTaylorEnabled ) %]
> +                                    [% bt_id = ( item.browser_normalized_upc || item.browser_normalized_upc ) %]

This does not make any sense :)
Comment 4 Jesse Weaver 2015-09-02 23:03:09 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-09-03 09:47:35 UTC
Jesse,
I cannot test this patch, I don't have a B&T account.
But looking at the code I am wondering if there is not another occurrence to update:

opac-user.tt l.414
<a href="https://[% BakerTaylorBookstoreURL |html %][% OVERDUE.normalized_isbn %]"><img alt="See Baker &amp; Taylor" src="[% BakerTaylorImageURL |html %][% OVERDUE.normalized_isbn %]" /></a>
Comment 6 Jesse Weaver 2015-09-14 22:22:32 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-09-15 07:42:29 UTC
Jesse, since I cannot test the patch, I would like to get a signoff on the 2 last patches.
Comment 8 Jesse Weaver 2015-10-01 16:01:56 UTC Comment hidden (obsolete)
Comment 9 Jesse Weaver 2015-10-01 16:02:52 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-10-06 11:14:24 UTC
Created attachment 43157 [details] [review]
Bug 14607: Baker & Taylor cover images should be accessible by UPC as well as ISBN

Test plan (requires Baker and Taylor cover images to be set up and enabled):
  1. Create a record with an ISBN that does not have a cover and a UPC
     that does. 141985934X/085391174929 is one set that works well.
  2. Verify that the record shows up as "No image available" in the
     following OPAC locations: shelf browser, reviews, lists, search and
     reading record. This will require adding reviews/checkouts/etc. for
     the record in question.
  3. Apply patch.
  4. Check the locations again, and verify that the record now has a
     valid cover image.

Signed-off-by: Alexis Rodegerdts <arodegerdts@wallawallawa.gov>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2015-10-06 11:14:27 UTC
Created attachment 43158 [details] [review]
Bug 14607: (QA followup) Fix typo in shelfbrowser.inc

Signed-off-by: Alexis Rodegerdts <arodegerdts@wallawallawa.gov>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2015-10-06 11:14:31 UTC
Created attachment 43159 [details] [review]
Bug 14607: (QA followup) Fix one missing occurence, incorrect calls to GetNormalizedUPC

Signed-off-by: Alexis Rodegerdts <arodegerdts@wallawallawa.gov>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Tomás Cohen Arazi 2015-10-06 16:18:25 UTC
Patches pushed to master.

Thanks Jesse!